#!/bin/bash
#SBATCH --job-name=hello
#SBATCH --partition=gpu
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --gres=gpu:m10:1
#SBATCH --output=slurm.%A.%a.out
#SBATCH --error=slurm.%A.%a.err
#SBATCH --time=0-00:05:00

# Cambiar al directorio de envio
cd $SLURM_SUBMIT_DIR

# Cargar modulo
module load CUDA/10.2
module load OpenMPI/3.1.4-GCC-8.3.0

# Esportar el numero de hilos
export OMP_NUM_THREADS=16

# Ejecutar el trabajo
gcc -o hello hello.c -fopenmp
./hello > hello.out